#comet.tcl  -*- TCL -*-
#---------------------------------------------------------------------------
#This file is written in TCL lenguage 
#For more information about TCL look at: http://www.sunlabs.com/research/tcl/
#
#At least two procs must be in this file:
#
#    InitGIDProject dir - Will be called whenever a project is begun to be used.
#           where dir is the project's directory
#    EndGIDProject - Will be called whenever a project ends to be used.
#
#For more information about GID internals, check the program scripts.
#---------------------------------------------------------------------------

############ GiD-raised events (its prototype is fixed by GiD) ###########

proc InitGIDProject { dir } {
	global problemtype_local
	array set problemtype_local [ReadProblemtypeXml [file join $dir Safir_Thermal_3d.xml] Infoproblemtype {Name Version MinimumGiDVersion SuggestedGiDVersion Description}]
	
    Safir_ChangeMenus
}

#proc EndGIDProject {} {
#}

############ problemtype procedures ###########


proc Safir_ChangeMenus { } {    	
	#add About Problem Types menu
	GiDMenu::Create "About Problem Type" PRE
	GiDMenu::InsertOption "About Problem Type" "Safir_Thermal_3D" 0 PRE AboutThermal3D 
	
	#udpate the menus
    GiDMenu::UpdateMenus
}

proc AboutThermal3D { } {
	global problemtype_local
	
	#set name of the windoe in GiD
	set w .gid.aboutMe
	
	InitWindow $w "About Safir_Thermal_3D" AboutMeWindow

	frame $w.frmAboutMe
	
	 label $w.frmAboutMe.name -text "Name"
	 entry $w.frmAboutMe.nameVal -relief sunken -width 80 -textvariable problemtype_local(Name) -state readonly
	 label $w.frmAboutMe.version -text "Version"
	 entry $w.frmAboutMe.versionVal -relief sunken -width 80 -textvariable problemtype_local(Version) -state readonly
	 label $w.frmAboutMe.minimumGiDversion -text "Minimum GiD version"
	 entry $w.frmAboutMe.minimumGiDversionVal -relief sunken -width 80 -textvariable  problemtype_local(MinimumGiDVersion) -state readonly
	 label $w.frmAboutMe.suggestedGiDversion -text "Suggested GiD version"
	 entry $w.frmAboutMe.suggestedGiDversionVal -relief sunken -width 80 -textvariable  problemtype_local(SuggestedGiDVersion) -state readonly
	 label $w.frmAboutMe.description -text "Description"
	 entry $w.frmAboutMe.descriptionVal -relief sunken -width 80 -textvariable problemtype_local(Description) -state readonly

	grid $w.frmAboutMe  -padx 5 -pady 5 -sticky ew 

    grid $w.frmAboutMe.name $w.frmAboutMe.nameVal -sticky e
	grid $w.frmAboutMe.description $w.frmAboutMe.descriptionVal -sticky e
	grid $w.frmAboutMe.version $w.frmAboutMe.versionVal -sticky e
	grid $w.frmAboutMe.minimumGiDversion $w.frmAboutMe.minimumGiDversionVal -sticky e
	grid $w.frmAboutMe.suggestedGiDversion $w.frmAboutMe.suggestedGiDversionVal -sticky e
	
	focus $w.frmAboutMe
	}